gmp_hamdist
gmp_init
GMP Functions
PHP Manual

# gmp_import

(PHP 5, PHP 7 >= 5.6.1)

gmp_import — Import from a binary string

### Description

GMP gmp_import ( string `$data` , integer `$word_size` , integer `$options` )

Import a GMP number from a binary string

### Parameters

`data`

  The binary string being imported

`word_size`

  Default value is 1. The number of bytes in each chunk of binary data. This is mainly used in conjunction with the options parameter.

`options`

  Default value is GMP_MSW_FIRST | GMP_NATIVE_ENDIAN.

### Return Values

Returns a GMP number or `FALSE` on failure.

### Examples

Example #1 gmp_import() example

`<?php
$number = gmp_import("\0");
echo gmp_strval($number) . "\n";
$number = gmp_import("\0\1\2");
echo gmp_strval($number) . "\n";
?>`

The above example will output:

    0
    528

gmp_hamdist
gmp_init
GMP Functions
PHP Manual